import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    ContractEmployee emp = new ContractEmployee();
    emp.setId(1);
    emp.setName("Tom");
    emp.setStartDate(new java.util.Date());
    emp.setTerm(12);

    em.persist(emp);


    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}